TARGET  = hdf5_cpp

DESTDIR      = ../../../../RadarVolumeExplorer/lib
TEMPLATE	 = lib
LANGUAGE     = C++
CONFIG      += staticlib
INCLUDEPATH += ../../src

#
# remove version suffix
#
VERSION =

win32 {
	LIBS +=  
	INCLUDEPATH += 
	DEFINES += _SCL_SECURE_NO_WARNINGS WIN32 _LIB
}
	
HEADERS += \
      H5AbstractDs.h    \
      H5Alltypes.h      \
      H5ArrayType.h     \
      H5AtomType.h      \
      H5Attribute.h     \
      H5Classes.h       \
      H5CommonFG.h      \
      H5CompType.h      \
      H5Cpp.h           \
      H5CppDoc.h        \
      H5DataSet.h       \
      H5DataSpace.h     \
      H5DataType.h      \
      H5DcreatProp.h    \
      H5DxferProp.h     \
      H5EnumType.h      \
      H5Exception.h     \
      H5FaccProp.h      \
      H5FcreatProp.h    \
      H5File.h          \
      H5FloatType.h     \
      H5Group.h         \
      H5IdComponent.h   \
      H5Include.h       \
      H5IntType.h       \
      H5Library.h       \
      H5Object.h        \
      H5PredType.h      \
      H5PropList.h      \
      H5StrType.h       \
      H5VarLenType.h    \


SOURCES += \
      H5AbstractDs.cpp  \
      H5ArrayType.cpp   \
      H5AtomType.cpp    \
      H5Attribute.cpp   \
      H5CommonFG.cpp    \
      H5CompType.cpp    \
      H5DataSet.cpp     \
      H5DataSpace.cpp   \
      H5DataType.cpp    \
      H5DcreatProp.cpp  \
      H5DxferProp.cpp   \
      H5EnumType.cpp    \
      H5Exception.cpp   \
      H5FaccProp.cpp    \
      H5FcreatProp.cpp  \
      H5File.cpp        \
      H5FloatType.cpp   \
      H5Group.cpp       \
      H5IdComponent.cpp \
      H5IntType.cpp     \
      H5Library.cpp     \
      H5Object.cpp      \
      H5PredType.cpp    \
      H5PropList.cpp    \
      H5StrType.cpp     \
      H5VarLenType.cpp  \

win32 {
      INCLUDEPATH += ../../windows/src
}
